import { downloadFile } from './processors';
import ExportType from './ExportType';
export interface IOption<R> {
    data: object | string;
    fileName?: string;
    exportType?: ExportType;
    replacer?: ((key: string, value: any) => any) | Array<number | string> | null;
    space?: string | number;
    processor?: (content: string, type: ExportType, fileName: string) => R;
    withBOM?: boolean;
    delimiter?: string;
}
declare function exportFromJSON<R = void>({ data, fileName, exportType, replacer, space, processor, withBOM, delimiter, }: IOption<R>): R;
declare namespace exportFromJSON {
    const types: {
        txt: string;
        json: string;
        csv: string;
        xls: string;
        xml: string;
    };
    const processors: {
        downloadFile: typeof downloadFile;
    };
}
export default exportFromJSON;
